# TUF Augmentation Proposals (TAPs)

## Accepted

* [TAP 1: TAP Purpose and Guidelines](tap1.md)
* [TAP 2: TAP template](tap2.md)
* [TAP 3: Multi-role delegations](tap3.md)
* [TAP 4: Multiple repository consensus on entrusted targets](tap4.md)
* [TAP 6: Include specification version in metadata](tap6.md)
* [TAP 8: Key rotation and explicit self-revocation](tap8.md)
* [TAP 9: Mandatory metadata signing schemes](tap9.md)
* [TAP 10: Remove native support for compressed metadata](tap10.md)
* [TAP 11: Using POUFs for Interoperability](tap11.md)
* [TAP 12: Improving keyid flexibility](tap12.md)
* [TAP 15: Succinct hashed bin delegations](tap15.md)
* [TAP 20: Self-revocation](tap20.md)

## Draft

* [TAP 13: User Selection of the Top-Level Target Files Through Mapping Metadata](tap13.md)
* [TAP 16: Snapshot Merkle Trees](tap16.md)
* [TAP 17: Remove Signature Wrapper from the TUF Specification](tap17.md)
* [TAP 18: Ephemeral identity verification using sigstore's Fulcio for TUF developer key management](tap18.md)
* [TAP 19: Content Addressable Systems and TUF](tap19.md)

## Deferred

* [TAP 14: Managing TUF Versions](tap14.md)

## Rejected

* [TAP 5: Setting URLs for roles in the root metadata file](tap5.md)
* [TAP 7: Conformance testing](tap7.md)


## License

This work is distributed under the Community Specification License 1.0.
Please see [LICENSE](LICENSE) for more details.


## Acknowledgements

This project is managed by Prof. Justin Cappos and other members of the [Secure
Systems Lab](https://ssl.engineering.nyu.edu/) at NYU.

This material is based upon work supported by the National Science Foundation
under Grant Nos. CNS-1345049 and CNS-0959138. Any opinions, findings, and
conclusions or recommendations expressed in this material are those of the
author(s) and do not necessarily reflect the views of the National Science
Foundation.
